<template>
  <div class="participant-card">
    <div class="row">
      <div class="col-xs-12 col-sm-3 param-name">Полное название:</div>
      <div class="col-xs-12 col-sm-9">{{ contractor.full_name }}</div>
    </div>

    <div class="row">
      <div class="col-xs-12 col-sm-3 param-name">ИНН:</div>
      <div class="col-xs-12 col-sm-9">{{ contractor.inn }}</div>
    </div>

    <div class="row">
      <div class="col-xs-12 col-sm-3 param-name">КПП:</div>
      <div class="col-xs-12 col-sm-9">{{ contractor.kpp }}</div>
    </div>

    <div class="row">
      <div class="col-xs-12 col-sm-3 param-name">ОГРН:</div>
      <div class="col-xs-12 col-sm-9">{{ contractor.ogrn }}</div>
    </div>

    <div class="row">
      <div class="col-xs-12 col-sm-3 param-name">ОКПО:</div>
      <div class="col-xs-12 col-sm-9">{{ contractor.okpo }}</div>
    </div>

    <div class="row">
      <div class="col-xs-12 col-sm-3 param-name">Юридич. адрес:</div>
      <div class="col-xs-12 col-sm-9">{{ contractor.address }}</div>
    </div>

    <div class="row description">
      <div class="col-xs-12 col-sm-3 param-name">Описание:</div>
      <div class="col-xs-12 col-sm-9">{{ contractor.description }}</div>
    </div>

    <div class="row">
      <div class="col-xs-12 col-sm-3 param-name">Телефон:</div>
      <div class="col-xs-12 col-sm-9">{{ contractor.phone }}</div>
    </div>

    <div class="row">
      <div class="col-xs-12 col-sm-3 param-name">Эл. почта:</div>
      <div class="col-xs-12 col-sm-9">{{ contractor.email }}</div>
    </div>

    <div class="row group-list">
      <div class="col-xs-12 col-sm-3 param-name">Входит в группы:</div>

      <div v-if="contractor.groups && !contractor.groups.length">–</div>
      <div v-else class="col-xs-12 col-sm-9">
        <div class="bubbles">
          <router-link
            v-for="item in contractor.groups"
            :key="item.uuid"
            :to="`/tenders-contractor-groups/${item.uuid}`"
            target="_blank"
          >
            {{ item.title }}
          </router-link>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-xs-12">
        <router-link :to="`/tenders-contractors/${data.uuid}`">
          Перейти в подробную карточку
        </router-link>
      </div>
    </div>
  </div>
</template>
<script>
  import api from '@/api'

  export default {
    name: 'ParticipantCard',

    props: {
      data: {
        type: Object,
        default: null
      }
    },

    data() {
      return {
        contractor: {}
      }
    },

    async beforeMount() {
      const { data } = await api.tendersContractors.getParticipantsShortCard(this.data.uuid)

      this.contractor = {
        uuid       : data.uuid,
        full_name  : data.fullTitle,
        inn        : data.inn          || '–',
        kpp        : data.kpp          || '–',
        ogrn       : data.ogrn         || '–',
        okpo       : data.okpo         || '–',
        address    : data.legalAddress || '–',
        description: data.description  || '–',
        phone      : data.phone        || '–',
        email      : data.email        || '–',
        groups     : data.groups
      }
    }
  }
</script>

<style lang="scss">
  @import "~common-components/src/static/css/mixins";

  .participant-card {
    word-break: normal;
    font-size: 14px;
    line-height: 20px;
    margin: 0 -1rem;

    .row {
      margin-bottom: 5px;

      .param-name {
        color: $color-grey-span;
      }

      a {
        color: $color-blue-navy-blue;
        cursor: pointer;
      }
    }
  }

  .ob-modal-container .modal-body .participant-card .row {
    margin: 5px 0;

    &.description {
      margin: 30px 0;
    }

    &.group-list {
      margin: 30px 0 20px 0;
      line-height: 28px;
    }

    .bubbles {
      display: flex;
      align-items: flex-start;
      flex-wrap: wrap;

      > a {
        @include font-mixin(14px, 18px, 400, $color-text-base);
        position: relative;
        top: -3px;
        padding: 5px 12px;
        border-radius: 100px;
        background: $lavender;
        margin-right: 10px;
        margin-bottom: 10px;
        word-break: break-word;
        cursor: pointer;
        text-decoration: none;

        &:last-child {
          margin-right: 0;
        }

        &.router-link-exact-active {
          background: $color-light-grey;
          cursor: default;
          pointer-events: none;
        }
      }
    }
  }
</style>
